AMQPQueue::ack
AMQPQueue::cancel
AMQPQueue
PHP Manual

# AMQPQueue::bind

Bind the given queue to a routing key on an exchange.

### Description

public bool AMQPQueue::bind ( string `$exchange_name` , string `$routing_key` )

The bind method will bind the given queue to the specified routing key on the given exchange.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`exchange_name`

  The exchange name on which to bind.

`routing_key`

  The routing key to which to bind.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.